Tonyu.klass.define({
  fullName: 'user.Elevator',
  shortName: 'Elevator',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Elevator_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000000;//user.Elevator:0
      _this.p=Tonyu.globals.$pat_elevChr+1;
      //$LASTPOS=1000026;//user.Elevator:26
      _this.y=Tonyu.globals.$B.floor2y(_this.f);
      //$LASTPOS=1000043;//user.Elevator:43
      _this.scaleX=2;
      //$LASTPOS=1000053;//user.Elevator:53
      _this.scaleY=1.5;
      //$LASTPOS=1000065;//user.Elevator:65
      _this.zOrder=100;
      //$LASTPOS=1000078;//user.Elevator:78
      while (true) {
        //$LASTPOS=1000097;//user.Elevator:97
        if (_this.x<Tonyu.globals.$screenWidth/2) {
          //$LASTPOS=1000129;//user.Elevator:129
          if (_this.getkey("w")) {
            //$LASTPOS=1000160;//user.Elevator:160
            _this.move2(_this.clamp(_this.f+1,1,Tonyu.globals.$floorMax));
            
          }
          //$LASTPOS=1000209;//user.Elevator:209
          if (_this.getkey("s")) {
            //$LASTPOS=1000240;//user.Elevator:240
            _this.move2(_this.clamp(_this.f-1,1,Tonyu.globals.$floorMax));
            
          }
          
        } else {
          //$LASTPOS=1000302;//user.Elevator:302
          if (_this.getkey("up")) {
            //$LASTPOS=1000334;//user.Elevator:334
            _this.move2(_this.clamp(_this.f+1,1,Tonyu.globals.$floorMax));
            
          }
          //$LASTPOS=1000383;//user.Elevator:383
          if (_this.getkey("down")) {
            //$LASTPOS=1000417;//user.Elevator:417
            _this.move2(_this.clamp(_this.f-1,1,Tonyu.globals.$floorMax));
            
          }
          
        }
        //$LASTPOS=1000468;//user.Elevator:468
        _this.update();
        
      }
    },
    fiber$main :function _trc_Elevator_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=1000000;//user.Elevator:0
      _this.p=Tonyu.globals.$pat_elevChr+1;
      //$LASTPOS=1000026;//user.Elevator:26
      _this.y=Tonyu.globals.$B.floor2y(_this.f);
      //$LASTPOS=1000043;//user.Elevator:43
      _this.scaleX=2;
      //$LASTPOS=1000053;//user.Elevator:53
      _this.scaleY=1.5;
      //$LASTPOS=1000065;//user.Elevator:65
      _this.zOrder=100;
      
      _thread.enter(function _trc_Elevator_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=1000078;//user.Elevator:78
          case 1:
            //$LASTPOS=1000097;//user.Elevator:97
            if (!(_this.x<Tonyu.globals.$screenWidth/2)) { __pc=6; break; }
            //$LASTPOS=1000129;//user.Elevator:129
            if (!(_this.getkey("w"))) { __pc=3; break; }
            //$LASTPOS=1000160;//user.Elevator:160
            _this.fiber$move2(_thread, _this.clamp(_this.f+1,1,Tonyu.globals.$floorMax));
            __pc=2;return;
          case 2:
            
          case 3:
            
            //$LASTPOS=1000209;//user.Elevator:209
            if (!(_this.getkey("s"))) { __pc=5; break; }
            //$LASTPOS=1000240;//user.Elevator:240
            _this.fiber$move2(_thread, _this.clamp(_this.f-1,1,Tonyu.globals.$floorMax));
            __pc=4;return;
          case 4:
            
          case 5:
            
            __pc=11;break;
          case 6:
            //$LASTPOS=1000302;//user.Elevator:302
            if (!(_this.getkey("up"))) { __pc=8; break; }
            //$LASTPOS=1000334;//user.Elevator:334
            _this.fiber$move2(_thread, _this.clamp(_this.f+1,1,Tonyu.globals.$floorMax));
            __pc=7;return;
          case 7:
            
          case 8:
            
            //$LASTPOS=1000383;//user.Elevator:383
            if (!(_this.getkey("down"))) { __pc=10; break; }
            //$LASTPOS=1000417;//user.Elevator:417
            _this.fiber$move2(_thread, _this.clamp(_this.f-1,1,Tonyu.globals.$floorMax));
            __pc=9;return;
          case 9:
            
          case 10:
            
          case 11:
            
            //$LASTPOS=1000468;//user.Elevator:468
            _this.fiber$update(_thread);
            __pc=12;return;
          case 12:
            
            __pc=1;break;
          case 13:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    move2 :function _trc_Elevator_move2(df) {
      "use strict";
      var _this=this;
      var dy;
      
      //$LASTPOS=1000498;//user.Elevator:498
      dy = Tonyu.globals.$B.floor2y(df);
      
      //$LASTPOS=1000525;//user.Elevator:525
      _this.moving=true;
      //$LASTPOS=1000542;//user.Elevator:542
      while (_this.y<dy) {
        //$LASTPOS=1000564;//user.Elevator:564
        _this.y+=4;
        //$LASTPOS=1000578;//user.Elevator:578
        _this.update();
        
      }
      //$LASTPOS=1000598;//user.Elevator:598
      while (_this.y>dy) {
        //$LASTPOS=1000620;//user.Elevator:620
        _this.y-=4;
        //$LASTPOS=1000634;//user.Elevator:634
        _this.update();
        
      }
      //$LASTPOS=1000654;//user.Elevator:654
      _this.moving=false;
      //$LASTPOS=1000672;//user.Elevator:672
      _this.f=df;
      //$LASTPOS=1000682;//user.Elevator:682
      _this.sendEvent("arrived",df);
    },
    fiber$move2 :function _trc_Elevator_f_move2(_thread,df) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var dy;
      
      //$LASTPOS=1000498;//user.Elevator:498
      dy = Tonyu.globals.$B.floor2y(df);
      
      //$LASTPOS=1000525;//user.Elevator:525
      _this.moving=true;
      
      _thread.enter(function _trc_Elevator_ent_move2(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=1000542;//user.Elevator:542
          case 1:
            if (!(_this.y<dy)) { __pc=3; break; }
            //$LASTPOS=1000564;//user.Elevator:564
            _this.y+=4;
            //$LASTPOS=1000578;//user.Elevator:578
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3:
            
            //$LASTPOS=1000598;//user.Elevator:598
          case 4:
            if (!(_this.y>dy)) { __pc=6; break; }
            //$LASTPOS=1000620;//user.Elevator:620
            _this.y-=4;
            //$LASTPOS=1000634;//user.Elevator:634
            _this.fiber$update(_thread);
            __pc=5;return;
          case 5:
            
            __pc=4;break;
          case 6:
            
            //$LASTPOS=1000654;//user.Elevator:654
            _this.moving=false;
            //$LASTPOS=1000672;//user.Elevator:672
            _this.f=df;
            //$LASTPOS=1000682;//user.Elevator:682
            _this.sendEvent("arrived",df);
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"move2":{"nowait":false}}}
});
Tonyu.klass.define({
  fullName: 'user.Door',
  shortName: 'Door',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Door_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2000000;//user.Door:0
      _this.p=Tonyu.globals.$pat_elevChr;
      //$LASTPOS=2000016;//user.Door:16
      _this.scaleX=1.2;
      //$LASTPOS=2000028;//user.Door:28
      _this.baseS=_this.scaleX;
      //$LASTPOS=2000042;//user.Door:42
      _this.baseX=_this.x+16;
      //$LASTPOS=2000054;//user.Door:54
      _this.scaleY=1;
      //$LASTPOS=2000064;//user.Door:64
      while (true) {
        //$LASTPOS=2000082;//user.Door:82
        if (_this.x<Tonyu.globals.$screenWidth/2) {
          //$LASTPOS=2000114;//user.Door:114
          Tonyu.globals.$apc--;
          //$LASTPOS=2000130;//user.Door:130
          if (Tonyu.globals.$apc<=0&&Tonyu.globals.$rest>0) {
            //$LASTPOS=2000167;//user.Door:167
            Tonyu.globals.$apc=(20+_this.rnd(30)+Tonyu.globals.$rest*3)*Tonyu.globals.$floorMax;
            //$LASTPOS=2000216;//user.Door:216
            Tonyu.globals.$rest--;
            //$LASTPOS=2000237;//user.Door:237
            _this.open();
            //$LASTPOS=2000257;//user.Door:257
            new Tonyu.classes.user.Man({x: _this.x,y: _this.y});
            //$LASTPOS=2000283;//user.Door:283
            _this.close();
            
          }
          
        } else {
          //$LASTPOS=2000323;//user.Door:323
          if (_this.m=_this.crashTo(Tonyu.classes.user.Man)) {
            //$LASTPOS=2000357;//user.Door:357
            _this.open();
            //$LASTPOS=2000377;//user.Door:377
            _this.m.die();
            //$LASTPOS=2000398;//user.Door:398
            if (! Tonyu.globals.$gov) {
              //$LASTPOS=2000427;//user.Door:427
              Tonyu.globals.$carried++;
              
            }
            //$LASTPOS=2000465;//user.Door:465
            _this.close();
            
          }
          
        }
        //$LASTPOS=2000494;//user.Door:494
        _this.update();
        
      }
    },
    fiber$main :function _trc_Door_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=2000000;//user.Door:0
      _this.p=Tonyu.globals.$pat_elevChr;
      //$LASTPOS=2000016;//user.Door:16
      _this.scaleX=1.2;
      //$LASTPOS=2000028;//user.Door:28
      _this.baseS=_this.scaleX;
      //$LASTPOS=2000042;//user.Door:42
      _this.baseX=_this.x+16;
      //$LASTPOS=2000054;//user.Door:54
      _this.scaleY=1;
      
      _thread.enter(function _trc_Door_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2000064;//user.Door:64
          case 1:
            //$LASTPOS=2000082;//user.Door:82
            if (!(_this.x<Tonyu.globals.$screenWidth/2)) { __pc=5; break; }
            //$LASTPOS=2000114;//user.Door:114
            Tonyu.globals.$apc--;
            //$LASTPOS=2000130;//user.Door:130
            if (!(Tonyu.globals.$apc<=0&&Tonyu.globals.$rest>0)) { __pc=4; break; }
            //$LASTPOS=2000167;//user.Door:167
            Tonyu.globals.$apc=(20+_this.rnd(30)+Tonyu.globals.$rest*3)*Tonyu.globals.$floorMax;
            //$LASTPOS=2000216;//user.Door:216
            Tonyu.globals.$rest--;
            //$LASTPOS=2000237;//user.Door:237
            _this.fiber$open(_thread);
            __pc=2;return;
          case 2:
            
            //$LASTPOS=2000257;//user.Door:257
            new Tonyu.classes.user.Man({x: _this.x,y: _this.y});
            //$LASTPOS=2000283;//user.Door:283
            _this.fiber$close(_thread);
            __pc=3;return;
          case 3:
            
          case 4:
            
            __pc=9;break;
          case 5:
            //$LASTPOS=2000323;//user.Door:323
            if (!(_this.m=_this.crashTo(Tonyu.classes.user.Man))) { __pc=8; break; }
            //$LASTPOS=2000357;//user.Door:357
            _this.fiber$open(_thread);
            __pc=6;return;
          case 6:
            
            //$LASTPOS=2000377;//user.Door:377
            _this.m.die();
            //$LASTPOS=2000398;//user.Door:398
            if (! Tonyu.globals.$gov) {
              //$LASTPOS=2000427;//user.Door:427
              Tonyu.globals.$carried++;
              
            }
            //$LASTPOS=2000465;//user.Door:465
            _this.fiber$close(_thread);
            __pc=7;return;
          case 7:
            
          case 8:
            
          case 9:
            
            //$LASTPOS=2000494;//user.Door:494
            _this.fiber$update(_thread);
            __pc=10;return;
          case 10:
            
            __pc=1;break;
          case 11:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    open :function _trc_Door_open() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2000520;//user.Door:520
      //$LASTPOS=2000525;//user.Door:525
      _this.scaleX=_this.baseS;for (; _this.scaleX>0 ; _this.scaleX-=0.1) {
        {
          //$LASTPOS=2000573;//user.Door:573
          _this.x=_this.baseX-_this.scaleX/_this.baseS*16;
          //$LASTPOS=2000606;//user.Door:606
          _this.update();
        }
      }
    },
    fiber$open :function _trc_Door_f_open(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Door_ent_open(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2000520;//user.Door:520
            //$LASTPOS=2000525;//user.Door:525
            _this.scaleX=_this.baseS;
          case 1:
            if (!(_this.scaleX>0)) { __pc=4; break; }
            //$LASTPOS=2000573;//user.Door:573
            _this.x=_this.baseX-_this.scaleX/_this.baseS*16;
            //$LASTPOS=2000606;//user.Door:606
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
          case 3:
            _this.scaleX-=0.1;
            __pc=1;break;
          case 4:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    close :function _trc_Door_close() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2000639;//user.Door:639
      //$LASTPOS=2000644;//user.Door:644
      _this.scaleX=0;for (; _this.scaleX<_this.baseS ; _this.scaleX+=0.1) {
        {
          //$LASTPOS=2000692;//user.Door:692
          _this.x=_this.baseX-_this.scaleX/_this.baseS*16;
          //$LASTPOS=2000725;//user.Door:725
          _this.update();
        }
      }
      //$LASTPOS=2000745;//user.Door:745
      _this.scaleX=_this.baseS;
    },
    fiber$close :function _trc_Door_f_close(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Door_ent_close(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2000639;//user.Door:639
            //$LASTPOS=2000644;//user.Door:644
            _this.scaleX=0;
          case 1:
            if (!(_this.scaleX<_this.baseS)) { __pc=4; break; }
            //$LASTPOS=2000692;//user.Door:692
            _this.x=_this.baseX-_this.scaleX/_this.baseS*16;
            //$LASTPOS=2000725;//user.Door:725
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
          case 3:
            _this.scaleX+=0.1;
            __pc=1;break;
          case 4:
            
            //$LASTPOS=2000745;//user.Door:745
            _this.scaleX=_this.baseS;
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"open":{"nowait":false},"close":{"nowait":false}}}
});
Tonyu.klass.define({
  fullName: 'user.Man',
  shortName: 'Man',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Man_main() {
      "use strict";
      var _this=this;
      var e;
      var _it_50;
      
      //$LASTPOS=3000000;//user.Man:0
      _this.p=Tonyu.globals.$pat_elevChr+2;
      //$LASTPOS=3000018;//user.Man:18
      _this.pps=[];
      //$LASTPOS=3000026;//user.Man:26
      //$LASTPOS=3000031;//user.Man:31
      _this.i=0;for (; _this.i<6 ; _this.i++) {
        {
          //$LASTPOS=3000051;//user.Man:51
          _this.pps.push([Tonyu.globals.$pat_elevChr+2+_this.i*2,Tonyu.globals.$pat_elevChr+2+_this.i*2,Tonyu.globals.$pat_elevChr+3+_this.i*2,Tonyu.globals.$pat_elevChr+3+_this.i*2]);
        }
      }
      //$LASTPOS=3000147;//user.Man:147
      _this.frustp=0;
      //$LASTPOS=3000157;//user.Man:157
      _this.mesg=["","おそいな｜","まだかよ｜","はやくしろ！","いいかげんにしろ！！","ぶっこわすぞ！！！"];
      //$LASTPOS=3000219;//user.Man:219
      _this.pp=_this.pps[_this.frustp];
      //$LASTPOS=3000302;//user.Man:302
      _this.pc=0;
      //$LASTPOS=3000308;//user.Man:308
      _this.frust=0;
      //$LASTPOS=3000317;//user.Man:317
      if (_this.x>230) {
        //$LASTPOS=3000328;//user.Man:328
        _this.vx=- 1;
      } else {
        //$LASTPOS=3000340;//user.Man:340
        _this.vx=1;
      }
      //$LASTPOS=3000346;//user.Man:346
      _this.scaleX=_this.vx;
      //$LASTPOS=3000357;//user.Man:357
      _this.scaleY=1;
      //$LASTPOS=3000367;//user.Man:367
      _this.curF=Tonyu.globals.$B.y2floor(_this.y);
      //$LASTPOS=3000387;//user.Man:387
      while (true) {
        //$LASTPOS=3000406;//user.Man:406
        _this.dstF=_this.rnd(Tonyu.globals.$floorMax)+1;
        //$LASTPOS=3000433;//user.Man:433
        if (_this.curF!=_this.dstF) {
          break;
          
        }
        
      }
      //$LASTPOS=3000484;//user.Man:484
      new Tonyu.classes.user.Go({x: _this.x,y: _this.y-60,text: _this.dstF+"F",size: 30,fillStyle: "black"});
      //$LASTPOS=3000542;//user.Man:542
      while (_this.abs(232-_this.x)>20) {
        //$LASTPOS=3000569;//user.Man:569
        _this.p=_this.pp[_this.pc%_this.pp.length];
        //$LASTPOS=3000593;//user.Man:593
        _this.pc++;
        //$LASTPOS=3000603;//user.Man:603
        _this.x+=_this.vx;
        //$LASTPOS=3000614;//user.Man:614
        _this.update();
        
      }
      //$LASTPOS=3000627;//user.Man:627
      _this.findButton().pressed=true;
      //$LASTPOS=3000654;//user.Man:654
      while (! _this.ride) {
        //$LASTPOS=3000674;//user.Man:674
        _it_50=Tonyu.iterator(_this.all(Tonyu.classes.user.Elevator),1);
        while(_it_50.next()) {
          e=_it_50[0];
          
          //$LASTPOS=3000709;//user.Man:709
          if (! e.moving&&e.f==_this.curF) {
            //$LASTPOS=3000751;//user.Man:751
            _this.ride=e;
            //$LASTPOS=3000771;//user.Man:771
            _this.zOrder=_this.ride.zOrder-1;
            break;
            
            
          }
          
        }
        //$LASTPOS=3000832;//user.Man:832
        _this.fupdate();
        
      }
      //$LASTPOS=3000845;//user.Man:845
      _this.getoff=0;
      //$LASTPOS=3000855;//user.Man:855
      _this.ofs=_this.rnd(48)-24;
      //$LASTPOS=3000871;//user.Man:871
      while (true) {
        //$LASTPOS=3000889;//user.Man:889
        _this.tx=_this.ride.x+_this.ofs;
        //$LASTPOS=3000908;//user.Man:908
        _this.ty=_this.ride.y+10;
        //$LASTPOS=3000926;//user.Man:926
        _this.x+=(_this.tx-_this.x)*0.5;
        //$LASTPOS=3000945;//user.Man:945
        _this.y+=(_this.ty-_this.y)*0.5;
        //$LASTPOS=3000964;//user.Man:964
        if (_this.ride.f==_this.dstF&&! _this.ride.moving) {
          //$LASTPOS=3001008;//user.Man:1008
          _this.getoff++;
          //$LASTPOS=3001026;//user.Man:1026
          if (_this.getoff>20) {
            break;
            
          }
          
        } else {
          //$LASTPOS=3001069;//user.Man:1069
          _this.getoff=0;
          
        }
        //$LASTPOS=3001089;//user.Man:1089
        _this.fupdate();
        
      }
      //$LASTPOS=3001102;//user.Man:1102
      _this.zOrder=- 1;
      //$LASTPOS=3001113;//user.Man:1113
      _this.vx*=3;
      //$LASTPOS=3001120;//user.Man:1120
      _this.y+=4;
      //$LASTPOS=3001126;//user.Man:1126
      while (_this.x<Tonyu.globals.$screenWidth-50) {
        //$LASTPOS=3001157;//user.Man:1157
        _this.p=_this.pp[_this.pc%_this.pp.length];
        //$LASTPOS=3001181;//user.Man:1181
        _this.pc++;
        //$LASTPOS=3001191;//user.Man:1191
        _this.x+=_this.vx;
        //$LASTPOS=3001202;//user.Man:1202
        _this.update();
        
      }
    },
    fiber$main :function _trc_Man_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var e;
      var _it_50;
      
      //$LASTPOS=3000000;//user.Man:0
      _this.p=Tonyu.globals.$pat_elevChr+2;
      //$LASTPOS=3000018;//user.Man:18
      _this.pps=[];
      //$LASTPOS=3000026;//user.Man:26
      //$LASTPOS=3000031;//user.Man:31
      _this.i=0;for (; _this.i<6 ; _this.i++) {
        {
          //$LASTPOS=3000051;//user.Man:51
          _this.pps.push([Tonyu.globals.$pat_elevChr+2+_this.i*2,Tonyu.globals.$pat_elevChr+2+_this.i*2,Tonyu.globals.$pat_elevChr+3+_this.i*2,Tonyu.globals.$pat_elevChr+3+_this.i*2]);
        }
      }
      //$LASTPOS=3000147;//user.Man:147
      _this.frustp=0;
      //$LASTPOS=3000157;//user.Man:157
      _this.mesg=["","おそいな｜","まだかよ｜","はやくしろ！","いいかげんにしろ！！","ぶっこわすぞ！！！"];
      //$LASTPOS=3000219;//user.Man:219
      _this.pp=_this.pps[_this.frustp];
      //$LASTPOS=3000302;//user.Man:302
      _this.pc=0;
      //$LASTPOS=3000308;//user.Man:308
      _this.frust=0;
      //$LASTPOS=3000317;//user.Man:317
      if (_this.x>230) {
        //$LASTPOS=3000328;//user.Man:328
        _this.vx=- 1;
      } else {
        //$LASTPOS=3000340;//user.Man:340
        _this.vx=1;
      }
      //$LASTPOS=3000346;//user.Man:346
      _this.scaleX=_this.vx;
      //$LASTPOS=3000357;//user.Man:357
      _this.scaleY=1;
      //$LASTPOS=3000367;//user.Man:367
      _this.curF=Tonyu.globals.$B.y2floor(_this.y);
      
      _thread.enter(function _trc_Man_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=3000387;//user.Man:387
          case 1:
            //$LASTPOS=3000406;//user.Man:406
            _this.dstF=_this.rnd(Tonyu.globals.$floorMax)+1;
            //$LASTPOS=3000433;//user.Man:433
            if (!(_this.curF!=_this.dstF)) { __pc=2; break; }
            __pc=3; break;
            
          case 2:
            
            __pc=1;break;
          case 3:
            
            //$LASTPOS=3000484;//user.Man:484
            new Tonyu.classes.user.Go({x: _this.x,y: _this.y-60,text: _this.dstF+"F",size: 30,fillStyle: "black"});
            //$LASTPOS=3000542;//user.Man:542
          case 4:
            if (!(_this.abs(232-_this.x)>20)) { __pc=6; break; }
            //$LASTPOS=3000569;//user.Man:569
            _this.p=_this.pp[_this.pc%_this.pp.length];
            //$LASTPOS=3000593;//user.Man:593
            _this.pc++;
            //$LASTPOS=3000603;//user.Man:603
            _this.x+=_this.vx;
            //$LASTPOS=3000614;//user.Man:614
            _this.fiber$update(_thread);
            __pc=5;return;
          case 5:
            
            __pc=4;break;
          case 6:
            
            //$LASTPOS=3000627;//user.Man:627
            _this.findButton().pressed=true;
            //$LASTPOS=3000654;//user.Man:654
          case 7:
            if (!(! _this.ride)) { __pc=9; break; }
            //$LASTPOS=3000674;//user.Man:674
            _it_50=Tonyu.iterator(_this.all(Tonyu.classes.user.Elevator),1);
            while(_it_50.next()) {
              e=_it_50[0];
              
              //$LASTPOS=3000709;//user.Man:709
              if (! e.moving&&e.f==_this.curF) {
                //$LASTPOS=3000751;//user.Man:751
                _this.ride=e;
                //$LASTPOS=3000771;//user.Man:771
                _this.zOrder=_this.ride.zOrder-1;
                break;
                
                
              }
              
            }
            //$LASTPOS=3000832;//user.Man:832
            _this.fiber$fupdate(_thread);
            __pc=8;return;
          case 8:
            
            __pc=7;break;
          case 9:
            
            //$LASTPOS=3000845;//user.Man:845
            _this.getoff=0;
            //$LASTPOS=3000855;//user.Man:855
            _this.ofs=_this.rnd(48)-24;
            //$LASTPOS=3000871;//user.Man:871
          case 10:
            //$LASTPOS=3000889;//user.Man:889
            _this.tx=_this.ride.x+_this.ofs;
            //$LASTPOS=3000908;//user.Man:908
            _this.ty=_this.ride.y+10;
            //$LASTPOS=3000926;//user.Man:926
            _this.x+=(_this.tx-_this.x)*0.5;
            //$LASTPOS=3000945;//user.Man:945
            _this.y+=(_this.ty-_this.y)*0.5;
            //$LASTPOS=3000964;//user.Man:964
            if (!(_this.ride.f==_this.dstF&&! _this.ride.moving)) { __pc=12; break; }
            //$LASTPOS=3001008;//user.Man:1008
            _this.getoff++;
            //$LASTPOS=3001026;//user.Man:1026
            if (!(_this.getoff>20)) { __pc=11; break; }
            __pc=15; break;
            
          case 11:
            
            __pc=13;break;
          case 12:
            {
              //$LASTPOS=3001069;//user.Man:1069
              _this.getoff=0;
            }
          case 13:
            
            //$LASTPOS=3001089;//user.Man:1089
            _this.fiber$fupdate(_thread);
            __pc=14;return;
          case 14:
            
            __pc=10;break;
          case 15:
            
            //$LASTPOS=3001102;//user.Man:1102
            _this.zOrder=- 1;
            //$LASTPOS=3001113;//user.Man:1113
            _this.vx*=3;
            //$LASTPOS=3001120;//user.Man:1120
            _this.y+=4;
            //$LASTPOS=3001126;//user.Man:1126
          case 16:
            if (!(_this.x<Tonyu.globals.$screenWidth-50)) { __pc=18; break; }
            //$LASTPOS=3001157;//user.Man:1157
            _this.p=_this.pp[_this.pc%_this.pp.length];
            //$LASTPOS=3001181;//user.Man:1181
            _this.pc++;
            //$LASTPOS=3001191;//user.Man:1191
            _this.x+=_this.vx;
            //$LASTPOS=3001202;//user.Man:1202
            _this.fiber$update(_thread);
            __pc=17;return;
          case 17:
            
            __pc=16;break;
          case 18:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    findButton :function _trc_Man_findButton() {
      "use strict";
      var _this=this;
      var r;
      
      //$LASTPOS=3001244;//user.Man:1244
      r = _this.all(Tonyu.classes.user.UDButton).find((function anonymous_1269(b) {
        
        return (b.fl==_this.curF&&(_this.dstF-_this.curF)*b.ud>0);
      }));
      
      return r[0];
    },
    fiber$findButton :function _trc_Man_f_findButton(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var r;
      
      //$LASTPOS=3001244;//user.Man:1244
      r = _this.all(Tonyu.classes.user.UDButton).find((function anonymous_1269(b) {
        
        return (b.fl==_this.curF&&(_this.dstF-_this.curF)*b.ud>0);
      }));
      
      _thread.retVal=r[0];return;
      
      
      _thread.retVal=_this;return;
    },
    appAnger :function _trc_Man_appAnger() {
      "use strict";
      var _this=this;
      var i;
      
      
      //$LASTPOS=3001382;//user.Man:1382
      //$LASTPOS=3001387;//user.Man:1387
      i=0;for (; i<_this.mesg[_this.frustp].length ; i++) {
        {
          //$LASTPOS=3001428;//user.Man:1428
          new Tonyu.classes.user.Anger({x: _this.x,y: _this.y,text: _this.mesg[_this.frustp][i],size: 20+_this.frustp*10,fillStyle: "yellow"});
          //$LASTPOS=3001510;//user.Man:1510
          _this.updateEx(5);
        }
      }
    },
    fiber$appAnger :function _trc_Man_f_appAnger(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var i;
      
      
      
      _thread.enter(function _trc_Man_ent_appAnger(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=3001382;//user.Man:1382
            //$LASTPOS=3001387;//user.Man:1387
            i=0;
          case 1:
            if (!(i<_this.mesg[_this.frustp].length)) { __pc=4; break; }
            //$LASTPOS=3001428;//user.Man:1428
            new Tonyu.classes.user.Anger({x: _this.x,y: _this.y,text: _this.mesg[_this.frustp][i],size: 20+_this.frustp*10,fillStyle: "yellow"});
            //$LASTPOS=3001510;//user.Man:1510
            _this.fiber$updateEx(_thread, 5);
            __pc=2;return;
          case 2:
            
          case 3:
            i++;
            __pc=1;break;
          case 4:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    fupdate :function _trc_Man_fupdate() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=3001550;//user.Man:1550
      _this.update();
      //$LASTPOS=3001564;//user.Man:1564
      _this.frust++;
      //$LASTPOS=3001577;//user.Man:1577
      if (_this.frustp>=2&&_this.rnd(150-_this.frustp*10)==0) {
        //$LASTPOS=3001627;//user.Man:1627
        new Tonyu.classes.user.Go({text: _this.dstF+"F",x: _this.x,y: _this.y,vx: 0,vy: - 1,size: 30,fillStyle: "green"});
        
      }
      //$LASTPOS=3001701;//user.Man:1701
      if (_this.frust>5*30) {
        //$LASTPOS=3001727;//user.Man:1727
        _this.frust=0;
        //$LASTPOS=3001744;//user.Man:1744
        if (_this.frustp>=5) {
          //$LASTPOS=3001773;//user.Man:1773
          Tonyu.globals.$gov=1;
          //$LASTPOS=3001793;//user.Man:1793
          while (true) {
            //$LASTPOS=3001823;//user.Man:1823
            new Tonyu.classes.user.Anger({x: _this.x,y: _this.y,text: "怒",size: 80,fillStyle: "red"});
            //$LASTPOS=3001888;//user.Man:1888
            _this.updateEx(3);
            //$LASTPOS=3001917;//user.Man:1917
            new Tonyu.classes.user.Anger({x: _this.x,y: _this.y,text: "り",size: 80,fillStyle: "red"});
            //$LASTPOS=3001982;//user.Man:1982
            _this.updateEx(3);
            //$LASTPOS=3002011;//user.Man:2011
            new Tonyu.classes.user.Anger({x: _this.x,y: _this.y,text: "爆",size: 80,fillStyle: "red"});
            //$LASTPOS=3002076;//user.Man:2076
            _this.updateEx(3);
            //$LASTPOS=3002105;//user.Man:2105
            new Tonyu.classes.user.Anger({x: _this.x,y: _this.y,text: "発",size: 80,fillStyle: "red"});
            //$LASTPOS=3002170;//user.Man:2170
            _this.updateEx(3);
            //$LASTPOS=3002199;//user.Man:2199
            new Tonyu.classes.user.Anger({x: _this.x,y: _this.y,text: "！",size: 80,fillStyle: "red"});
            //$LASTPOS=3002264;//user.Man:2264
            _this.updateEx(3);
            
          }
          
        } else {
          //$LASTPOS=3002320;//user.Man:2320
          _this.frustp++;
          //$LASTPOS=3002342;//user.Man:2342
          _this.pp=_this.pps[_this.frustp];
          //$LASTPOS=3002370;//user.Man:2370
          _this.p=Tonyu.globals.$pat_elevChr+2+2*_this.frustp;
          //$LASTPOS=3002409;//user.Man:2409
          _this.parallel("appAnger");
          
        }
        
      }
    },
    fiber$fupdate :function _trc_Man_f_fupdate(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Man_ent_fupdate(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=3001550;//user.Man:1550
            _this.fiber$update(_thread);
            __pc=1;return;
          case 1:
            
            //$LASTPOS=3001564;//user.Man:1564
            _this.frust++;
            //$LASTPOS=3001577;//user.Man:1577
            if (_this.frustp>=2&&_this.rnd(150-_this.frustp*10)==0) {
              //$LASTPOS=3001627;//user.Man:1627
              new Tonyu.classes.user.Go({text: _this.dstF+"F",x: _this.x,y: _this.y,vx: 0,vy: - 1,size: 30,fillStyle: "green"});
              
            }
            //$LASTPOS=3001701;//user.Man:1701
            if (!(_this.frust>5*30)) { __pc=11; break; }
            //$LASTPOS=3001727;//user.Man:1727
            _this.frust=0;
            //$LASTPOS=3001744;//user.Man:1744
            if (!(_this.frustp>=5)) { __pc=9; break; }
            //$LASTPOS=3001773;//user.Man:1773
            Tonyu.globals.$gov=1;
            //$LASTPOS=3001793;//user.Man:1793
          case 2:
            //$LASTPOS=3001823;//user.Man:1823
            new Tonyu.classes.user.Anger({x: _this.x,y: _this.y,text: "怒",size: 80,fillStyle: "red"});
            //$LASTPOS=3001888;//user.Man:1888
            _this.fiber$updateEx(_thread, 3);
            __pc=3;return;
          case 3:
            
            //$LASTPOS=3001917;//user.Man:1917
            new Tonyu.classes.user.Anger({x: _this.x,y: _this.y,text: "り",size: 80,fillStyle: "red"});
            //$LASTPOS=3001982;//user.Man:1982
            _this.fiber$updateEx(_thread, 3);
            __pc=4;return;
          case 4:
            
            //$LASTPOS=3002011;//user.Man:2011
            new Tonyu.classes.user.Anger({x: _this.x,y: _this.y,text: "爆",size: 80,fillStyle: "red"});
            //$LASTPOS=3002076;//user.Man:2076
            _this.fiber$updateEx(_thread, 3);
            __pc=5;return;
          case 5:
            
            //$LASTPOS=3002105;//user.Man:2105
            new Tonyu.classes.user.Anger({x: _this.x,y: _this.y,text: "発",size: 80,fillStyle: "red"});
            //$LASTPOS=3002170;//user.Man:2170
            _this.fiber$updateEx(_thread, 3);
            __pc=6;return;
          case 6:
            
            //$LASTPOS=3002199;//user.Man:2199
            new Tonyu.classes.user.Anger({x: _this.x,y: _this.y,text: "！",size: 80,fillStyle: "red"});
            //$LASTPOS=3002264;//user.Man:2264
            _this.fiber$updateEx(_thread, 3);
            __pc=7;return;
          case 7:
            
            __pc=2;break;
          case 8:
            
            __pc=10;break;
          case 9:
            {
              //$LASTPOS=3002320;//user.Man:2320
              _this.frustp++;
              //$LASTPOS=3002342;//user.Man:2342
              _this.pp=_this.pps[_this.frustp];
              //$LASTPOS=3002370;//user.Man:2370
              _this.p=Tonyu.globals.$pat_elevChr+2+2*_this.frustp;
              //$LASTPOS=3002409;//user.Man:2409
              _this.parallel("appAnger");
            }
          case 10:
            
          case 11:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    draw :function _trc_Man_draw(ctx) {
      "use strict";
      var _this=this;
      var sx;
      var sy;
      
      //$LASTPOS=3002528;//user.Man:2528
      sx = _this.x;
      sy = _this.y;
      
      //$LASTPOS=3002547;//user.Man:2547
      _this.x+=_this.rnd(_this.frustp*2)-_this.frustp;
      //$LASTPOS=3002576;//user.Man:2576
      _this.y+=_this.rnd(_this.frustp*2)-_this.frustp;
      //$LASTPOS=3002605;//user.Man:2605
      Tonyu.classes.kernel.Actor.prototype.draw.apply( _this, [ctx]);
      //$LASTPOS=3002626;//user.Man:2626
      _this.x=sx;
      //$LASTPOS=3002631;//user.Man:2631
      _this.y=sy;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"findButton":{"nowait":false},"appAnger":{"nowait":false},"fupdate":{"nowait":false},"draw":{"nowait":true}}}
});
Tonyu.klass.define({
  fullName: 'user.UDButton',
  shortName: 'UDButton',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_UDButton_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=4000158;//user.UDButton:158
      _this.pressed=false;
      //$LASTPOS=4000173;//user.UDButton:173
      _this.fl=Tonyu.globals.$B.y2floor(_this.y);
      //$LASTPOS=4000191;//user.UDButton:191
      while (true) {
        //$LASTPOS=4000209;//user.UDButton:209
        _this.txt();
        //$LASTPOS=4000220;//user.UDButton:220
        _this.update();
        
      }
    },
    fiber$main :function _trc_UDButton_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=4000158;//user.UDButton:158
      _this.pressed=false;
      //$LASTPOS=4000173;//user.UDButton:173
      _this.fl=Tonyu.globals.$B.y2floor(_this.y);
      
      _thread.enter(function _trc_UDButton_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=4000191;//user.UDButton:191
          case 1:
            //$LASTPOS=4000209;//user.UDButton:209
            _this.fiber$txt(_thread);
            __pc=2;return;
          case 2:
            
            //$LASTPOS=4000220;//user.UDButton:220
            _this.fiber$update(_thread);
            __pc=3;return;
          case 3:
            
            __pc=1;break;
          case 4:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    txt :function _trc_UDButton_txt() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=4000012;//user.UDButton:12
      if (_this.ud==1&&! _this.pressed) {
        //$LASTPOS=4000035;//user.UDButton:35
        _this.text="△";
      }
      //$LASTPOS=4000049;//user.UDButton:49
      if (_this.ud==1&&_this.pressed) {
        //$LASTPOS=4000071;//user.UDButton:71
        _this.text="▲";
      }
      //$LASTPOS=4000085;//user.UDButton:85
      if (_this.ud==- 1&&! _this.pressed) {
        //$LASTPOS=4000109;//user.UDButton:109
        _this.text="▽";
      }
      //$LASTPOS=4000123;//user.UDButton:123
      if (_this.ud==- 1&&_this.pressed) {
        //$LASTPOS=4000146;//user.UDButton:146
        _this.text="▼";
      }
    },
    fiber$txt :function _trc_UDButton_f_txt(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=4000012;//user.UDButton:12
      if (_this.ud==1&&! _this.pressed) {
        //$LASTPOS=4000035;//user.UDButton:35
        _this.text="△";
      }
      //$LASTPOS=4000049;//user.UDButton:49
      if (_this.ud==1&&_this.pressed) {
        //$LASTPOS=4000071;//user.UDButton:71
        _this.text="▲";
      }
      //$LASTPOS=4000085;//user.UDButton:85
      if (_this.ud==- 1&&! _this.pressed) {
        //$LASTPOS=4000109;//user.UDButton:109
        _this.text="▽";
      }
      //$LASTPOS=4000123;//user.UDButton:123
      if (_this.ud==- 1&&_this.pressed) {
        //$LASTPOS=4000146;//user.UDButton:146
        _this.text="▼";
      }
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"txt":{"nowait":false}}}
});
Tonyu.klass.define({
  fullName: 'user.Building',
  shortName: 'Building',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Building_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=5000000;//user.Building:0
      Tonyu.globals.$B=_this;
      //$LASTPOS=5000009;//user.Building:9
      Tonyu.globals.$floorMax=6;
      //$LASTPOS=5000022;//user.Building:22
      Tonyu.globals.$Screen.resize(465,Tonyu.globals.$floorMax*32*4);
      //$LASTPOS=5000058;//user.Building:58
      Tonyu.globals.$map=new Tonyu.classes.kernel.Map({chipWidth: 32,chipHeight: 32});
      //$LASTPOS=5000100;//user.Building:100
      Tonyu.globals.$map.load("map.json");
      //$LASTPOS=5000123;//user.Building:123
      Tonyu.globals.$map.zOrder=20;
      //$LASTPOS=5000139;//user.Building:139
      Tonyu.globals.$apc=30;
      //$LASTPOS=5000148;//user.Building:148
      Tonyu.globals.$e1=new Tonyu.classes.user.Elevator({x: 160+32,f: 4});
      //$LASTPOS=5000180;//user.Building:180
      Tonyu.globals.$e2=new Tonyu.classes.user.Elevator({x: 320-32,f: 3});
      //$LASTPOS=5000212;//user.Building:212
      Tonyu.globals.$rest=50;
      //$LASTPOS=5000222;//user.Building:222
      Tonyu.globals.$gov=false;
      //$LASTPOS=5000234;//user.Building:234
      Tonyu.globals.$carried=0;
      //$LASTPOS=5000246;//user.Building:246
      new Tonyu.classes.kernel.Label({x: 100,y: 60,size: 30,template: "のこり $rest 人"});
      //$LASTPOS=5000300;//user.Building:300
      new Tonyu.classes.kernel.Label({x: 380,y: 60,size: 30,template: "$carried 人運んだ"});
      //$LASTPOS=5000356;//user.Building:356
      //$LASTPOS=5000361;//user.Building:361
      _this.i=0;for (; _this.i<Tonyu.globals.$floorMax ; _this.i++) {
        {
          //$LASTPOS=5000390;//user.Building:390
          //$LASTPOS=5000395;//user.Building:395
          _this.j=0;for (; _this.j<2 ; _this.j++) {
            {
              //$LASTPOS=5000420;//user.Building:420
              new Tonyu.classes.user.Door({y: 64+_this.i*128,x: 80+_this.j*320});
            }
          }
          //$LASTPOS=5000467;//user.Building:467
          new Tonyu.classes.user.UDButton({x: 240,y: 50+_this.i*128,ud: 1});
          //$LASTPOS=5000508;//user.Building:508
          new Tonyu.classes.user.UDButton({x: 240,y: 64+_this.i*128,ud: - 1});
        }
      }
      //$LASTPOS=5000548;//user.Building:548
      while (true) {
        //$LASTPOS=5000566;//user.Building:566
        if (Tonyu.globals.$rest<=0&&_this.all(Tonyu.classes.user.Man).length==0) {
          //$LASTPOS=5000612;//user.Building:612
          new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,size: 30,text: "Clear"});
          //$LASTPOS=5000691;//user.Building:691
          new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2+60,size: 30,text: "Replay Space Key"});
          //$LASTPOS=5000784;//user.Building:784
          _this.tweetB();
          //$LASTPOS=5000802;//user.Building:802
          while (true) {
            //$LASTPOS=5000828;//user.Building:828
            if (_this.getkey("space")==1) {
              //$LASTPOS=5000870;//user.Building:870
              _this.loadPage(Tonyu.classes.user.Title);
              
            }
            //$LASTPOS=5000913;//user.Building:913
            _this.update();
            
          }
          
        }
        //$LASTPOS=5000946;//user.Building:946
        if (Tonyu.globals.$gov) {
          //$LASTPOS=5000966;//user.Building:966
          new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,size: 30,text: "Game Over"});
          //$LASTPOS=5001049;//user.Building:1049
          new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2+60,size: 30,text: "Replay Space Key"});
          //$LASTPOS=5001142;//user.Building:1142
          _this.tweetB();
          //$LASTPOS=5001160;//user.Building:1160
          _this.cnt=0;
          //$LASTPOS=5001175;//user.Building:1175
          while (true) {
            //$LASTPOS=5001201;//user.Building:1201
            if (_this.getkey("space")==1) {
              //$LASTPOS=5001243;//user.Building:1243
              _this.loadPage(Tonyu.classes.user.Title);
              
            }
            //$LASTPOS=5001286;//user.Building:1286
            Tonyu.globals.$Screen.scrollTo((_this.rnd()*1-0.5)*_this.frustp,(_this.rnd()*1-0.5)*_this.frustp+_this.cnt);
            //$LASTPOS=5001365;//user.Building:1365
            _this.cnt--;
            //$LASTPOS=5001384;//user.Building:1384
            _this.update();
            
          }
          
        }
        //$LASTPOS=5001417;//user.Building:1417
        _this.frustp=_this.all(Tonyu.classes.user.Man).max("frustp");
        //$LASTPOS=5001452;//user.Building:1452
        Tonyu.globals.$Screen.scrollTo((_this.rnd()*1-0.5)*_this.frustp,(_this.rnd()*1-0.5)*_this.frustp);
        //$LASTPOS=5001519;//user.Building:1519
        _this.update();
        
      }
    },
    fiber$main :function _trc_Building_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=5000000;//user.Building:0
      Tonyu.globals.$B=_this;
      //$LASTPOS=5000009;//user.Building:9
      Tonyu.globals.$floorMax=6;
      //$LASTPOS=5000022;//user.Building:22
      Tonyu.globals.$Screen.resize(465,Tonyu.globals.$floorMax*32*4);
      //$LASTPOS=5000058;//user.Building:58
      Tonyu.globals.$map=new Tonyu.classes.kernel.Map({chipWidth: 32,chipHeight: 32});
      //$LASTPOS=5000100;//user.Building:100
      Tonyu.globals.$map.load("map.json");
      //$LASTPOS=5000123;//user.Building:123
      Tonyu.globals.$map.zOrder=20;
      //$LASTPOS=5000139;//user.Building:139
      Tonyu.globals.$apc=30;
      //$LASTPOS=5000148;//user.Building:148
      Tonyu.globals.$e1=new Tonyu.classes.user.Elevator({x: 160+32,f: 4});
      //$LASTPOS=5000180;//user.Building:180
      Tonyu.globals.$e2=new Tonyu.classes.user.Elevator({x: 320-32,f: 3});
      //$LASTPOS=5000212;//user.Building:212
      Tonyu.globals.$rest=50;
      //$LASTPOS=5000222;//user.Building:222
      Tonyu.globals.$gov=false;
      //$LASTPOS=5000234;//user.Building:234
      Tonyu.globals.$carried=0;
      //$LASTPOS=5000246;//user.Building:246
      new Tonyu.classes.kernel.Label({x: 100,y: 60,size: 30,template: "のこり $rest 人"});
      //$LASTPOS=5000300;//user.Building:300
      new Tonyu.classes.kernel.Label({x: 380,y: 60,size: 30,template: "$carried 人運んだ"});
      //$LASTPOS=5000356;//user.Building:356
      //$LASTPOS=5000361;//user.Building:361
      _this.i=0;for (; _this.i<Tonyu.globals.$floorMax ; _this.i++) {
        {
          //$LASTPOS=5000390;//user.Building:390
          //$LASTPOS=5000395;//user.Building:395
          _this.j=0;for (; _this.j<2 ; _this.j++) {
            {
              //$LASTPOS=5000420;//user.Building:420
              new Tonyu.classes.user.Door({y: 64+_this.i*128,x: 80+_this.j*320});
            }
          }
          //$LASTPOS=5000467;//user.Building:467
          new Tonyu.classes.user.UDButton({x: 240,y: 50+_this.i*128,ud: 1});
          //$LASTPOS=5000508;//user.Building:508
          new Tonyu.classes.user.UDButton({x: 240,y: 64+_this.i*128,ud: - 1});
        }
      }
      
      _thread.enter(function _trc_Building_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=5000548;//user.Building:548
          case 1:
            //$LASTPOS=5000566;//user.Building:566
            if (!(Tonyu.globals.$rest<=0&&_this.all(Tonyu.classes.user.Man).length==0)) { __pc=6; break; }
            //$LASTPOS=5000612;//user.Building:612
            new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,size: 30,text: "Clear"});
            //$LASTPOS=5000691;//user.Building:691
            new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2+60,size: 30,text: "Replay Space Key"});
            //$LASTPOS=5000784;//user.Building:784
            _this.fiber$tweetB(_thread);
            __pc=2;return;
          case 2:
            
            //$LASTPOS=5000802;//user.Building:802
          case 3:
            //$LASTPOS=5000828;//user.Building:828
            if (_this.getkey("space")==1) {
              //$LASTPOS=5000870;//user.Building:870
              _this.loadPage(Tonyu.classes.user.Title);
              
            }
            //$LASTPOS=5000913;//user.Building:913
            _this.fiber$update(_thread);
            __pc=4;return;
          case 4:
            
            __pc=3;break;
          case 5:
            
          case 6:
            
            //$LASTPOS=5000946;//user.Building:946
            if (!(Tonyu.globals.$gov)) { __pc=11; break; }
            //$LASTPOS=5000966;//user.Building:966
            new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,size: 30,text: "Game Over"});
            //$LASTPOS=5001049;//user.Building:1049
            new Tonyu.classes.kernel.Label({x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2+60,size: 30,text: "Replay Space Key"});
            //$LASTPOS=5001142;//user.Building:1142
            _this.fiber$tweetB(_thread);
            __pc=7;return;
          case 7:
            
            //$LASTPOS=5001160;//user.Building:1160
            _this.cnt=0;
            //$LASTPOS=5001175;//user.Building:1175
          case 8:
            //$LASTPOS=5001201;//user.Building:1201
            if (_this.getkey("space")==1) {
              //$LASTPOS=5001243;//user.Building:1243
              _this.loadPage(Tonyu.classes.user.Title);
              
            }
            //$LASTPOS=5001286;//user.Building:1286
            Tonyu.globals.$Screen.scrollTo((_this.rnd()*1-0.5)*_this.frustp,(_this.rnd()*1-0.5)*_this.frustp+_this.cnt);
            //$LASTPOS=5001365;//user.Building:1365
            _this.cnt--;
            //$LASTPOS=5001384;//user.Building:1384
            _this.fiber$update(_thread);
            __pc=9;return;
          case 9:
            
            __pc=8;break;
          case 10:
            
          case 11:
            
            //$LASTPOS=5001417;//user.Building:1417
            _this.frustp=_this.all(Tonyu.classes.user.Man).max("frustp");
            //$LASTPOS=5001452;//user.Building:1452
            Tonyu.globals.$Screen.scrollTo((_this.rnd()*1-0.5)*_this.frustp,(_this.rnd()*1-0.5)*_this.frustp);
            //$LASTPOS=5001519;//user.Building:1519
            _this.fiber$update(_thread);
            __pc=12;return;
          case 12:
            
            __pc=1;break;
          case 13:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    tweetB :function _trc_Building_tweetB() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=5001547;//user.Building:1547
      new Tonyu.classes.kernel.Button({top: Tonyu.globals.$screenHeight/2+120,text: "Tweet",onClick: (function anonymous_1612() {
        
        //$LASTPOS=5001627;//user.Building:1627
        Tonyu.globals.$WebPage.openShareTweet("【ELEVATOR ANGER】乗客を"+Tonyu.globals.$carried+"人運んだ #ahoge");
      })});
    },
    fiber$tweetB :function _trc_Building_f_tweetB(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=5001547;//user.Building:1547
      new Tonyu.classes.kernel.Button({top: Tonyu.globals.$screenHeight/2+120,text: "Tweet",onClick: (function anonymous_1612() {
        
        //$LASTPOS=5001627;//user.Building:1627
        Tonyu.globals.$WebPage.openShareTweet("【ELEVATOR ANGER】乗客を"+Tonyu.globals.$carried+"人運んだ #ahoge");
      })});
      
      _thread.retVal=_this;return;
    },
    floor2y :function _trc_Building_floor2y(f) {
      "use strict";
      var _this=this;
      var rf;
      var res;
      
      //$LASTPOS=5001737;//user.Building:1737
      rf = Tonyu.globals.$floorMax-f;
      
      //$LASTPOS=5001761;//user.Building:1761
      res = 48+rf*32*4;
      
      return res;
    },
    fiber$floor2y :function _trc_Building_f_floor2y(_thread,f) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var rf;
      var res;
      
      //$LASTPOS=5001737;//user.Building:1737
      rf = Tonyu.globals.$floorMax-f;
      
      //$LASTPOS=5001761;//user.Building:1761
      res = 48+rf*32*4;
      
      _thread.retVal=res;return;
      
      
      _thread.retVal=_this;return;
    },
    y2floor :function _trc_Building_y2floor(y) {
      "use strict";
      var _this=this;
      var rf;
      var f;
      
      //$LASTPOS=5001817;//user.Building:1817
      rf = _this.floor(y/(32*4));
      
      //$LASTPOS=5001845;//user.Building:1845
      f = Tonyu.globals.$floorMax-rf;
      
      return f;
    },
    fiber$y2floor :function _trc_Building_f_y2floor(_thread,y) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var rf;
      var f;
      
      //$LASTPOS=5001817;//user.Building:1817
      rf = _this.floor(y/(32*4));
      
      //$LASTPOS=5001845;//user.Building:1845
      f = Tonyu.globals.$floorMax-rf;
      
      _thread.retVal=f;return;
      
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"tweetB":{"nowait":false},"floor2y":{"nowait":false},"y2floor":{"nowait":false}}}
});
Tonyu.klass.define({
  fullName: 'user.Go',
  shortName: 'Go',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Go_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=6000001;//user.Go:1
      if (_this.vx==null) {
        //$LASTPOS=6000015;//user.Go:15
        _this.vx=1;
        //$LASTPOS=6000020;//user.Go:20
        _this.vy=0;
        
      }
      //$LASTPOS=6000027;//user.Go:27
      //$LASTPOS=6000031;//user.Go:31
      _this.i=0;for (; _this.i<30 ; _this.i++) {
        {
          //$LASTPOS=6000051;//user.Go:51
          _this.x+=_this.vx;
          //$LASTPOS=6000062;//user.Go:62
          _this.y+=_this.vy;
          //$LASTPOS=6000073;//user.Go:73
          _this.update();
        }
      }
      //$LASTPOS=6000085;//user.Go:85
      _this.die();
    },
    fiber$main :function _trc_Go_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=6000001;//user.Go:1
      if (_this.vx==null) {
        //$LASTPOS=6000015;//user.Go:15
        _this.vx=1;
        //$LASTPOS=6000020;//user.Go:20
        _this.vy=0;
        
      }
      
      _thread.enter(function _trc_Go_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=6000027;//user.Go:27
            //$LASTPOS=6000031;//user.Go:31
            _this.i=0;
          case 1:
            if (!(_this.i<30)) { __pc=4; break; }
            //$LASTPOS=6000051;//user.Go:51
            _this.x+=_this.vx;
            //$LASTPOS=6000062;//user.Go:62
            _this.y+=_this.vy;
            //$LASTPOS=6000073;//user.Go:73
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
          case 3:
            _this.i++;
            __pc=1;break;
          case 4:
            
            //$LASTPOS=6000085;//user.Go:85
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}}}
});
Tonyu.klass.define({
  fullName: 'user.Anger',
  shortName: 'Anger',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Anger_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=7000001;//user.Anger:1
      _this.zOrder=- 10;
      //$LASTPOS=7000025;//user.Anger:25
      _this.ofs=_this.rnd(360);
      //$LASTPOS=7000039;//user.Anger:39
      //$LASTPOS=7000043;//user.Anger:43
      _this.i=0;for (; _this.i<20 ; _this.i++) {
        {
          //$LASTPOS=7000063;//user.Anger:63
          _this.y-=10;
          //$LASTPOS=7000074;//user.Anger:74
          _this.x+=_this.sin(_this.i+_this.ofs)*3;
          //$LASTPOS=7000095;//user.Anger:95
          _this.x+=_this.rnd(_this.size-10)*0.2;
          //$LASTPOS=7000120;//user.Anger:120
          _this.y+=_this.rnd(_this.size-10)*0.2;
          //$LASTPOS=7000145;//user.Anger:145
          _this.update();
        }
      }
      //$LASTPOS=7000157;//user.Anger:157
      _this.die();
    },
    fiber$main :function _trc_Anger_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=7000001;//user.Anger:1
      _this.zOrder=- 10;
      //$LASTPOS=7000025;//user.Anger:25
      _this.ofs=_this.rnd(360);
      
      _thread.enter(function _trc_Anger_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=7000039;//user.Anger:39
            //$LASTPOS=7000043;//user.Anger:43
            _this.i=0;
          case 1:
            if (!(_this.i<20)) { __pc=4; break; }
            //$LASTPOS=7000063;//user.Anger:63
            _this.y-=10;
            //$LASTPOS=7000074;//user.Anger:74
            _this.x+=_this.sin(_this.i+_this.ofs)*3;
            //$LASTPOS=7000095;//user.Anger:95
            _this.x+=_this.rnd(_this.size-10)*0.2;
            //$LASTPOS=7000120;//user.Anger:120
            _this.y+=_this.rnd(_this.size-10)*0.2;
            //$LASTPOS=7000145;//user.Anger:145
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
          case 3:
            _this.i++;
            __pc=1;break;
          case 4:
            
            //$LASTPOS=7000157;//user.Anger:157
            _this.die();
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Title_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=8000000;//user.Title:0
      Tonyu.globals.$Screen.setBGColor("black");
      //$LASTPOS=8000029;//user.Title:29
      _this.p=Tonyu.globals.$pat_title;
      //$LASTPOS=8000043;//user.Title:43
      Tonyu.globals.$floorMax=6;
      //$LASTPOS=8000056;//user.Title:56
      Tonyu.globals.$Screen.resize(465,Tonyu.globals.$floorMax*32*4);
      //$LASTPOS=8000092;//user.Title:92
      Tonyu.globals.$Screen.scrollTo(0,0);
      //$LASTPOS=8000115;//user.Title:115
      _this.x=Tonyu.globals.$screenWidth/2;
      //$LASTPOS=8000133;//user.Title:133
      _this.y=Tonyu.globals.$screenHeight/2-100;
      //$LASTPOS=8000156;//user.Title:156
      _this.scaleX=2;
      //$LASTPOS=8000167;//user.Title:167
      new Tonyu.classes.kernel.Label({x: _this.x,y: 400,size: 30,text: "乗客の怒りが爆発する前に運べ！"});
      //$LASTPOS=8000218;//user.Title:218
      new Tonyu.classes.kernel.Label({x: _this.x,y: 450,size: 24,text: "W,S:左エレベータ操作 ↑↓:右エレベータ操作"});
      //$LASTPOS=8000278;//user.Title:278
      _this.updateEx(10);
      //$LASTPOS=8000292;//user.Title:292
      new Tonyu.classes.kernel.Label({x: _this.x,y: 500,size: 30,text: "Push Space Key"});
      //$LASTPOS=8000342;//user.Title:342
      while (true) {
        //$LASTPOS=8000360;//user.Title:360
        if (_this.getkey("space")==1) {
          //$LASTPOS=8000393;//user.Title:393
          _this.loadPage(Tonyu.classes.user.Building);
          
        }
        //$LASTPOS=8000423;//user.Title:423
        _this.update();
        
      }
    },
    fiber$main :function _trc_Title_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=8000000;//user.Title:0
      Tonyu.globals.$Screen.setBGColor("black");
      //$LASTPOS=8000029;//user.Title:29
      _this.p=Tonyu.globals.$pat_title;
      //$LASTPOS=8000043;//user.Title:43
      Tonyu.globals.$floorMax=6;
      //$LASTPOS=8000056;//user.Title:56
      Tonyu.globals.$Screen.resize(465,Tonyu.globals.$floorMax*32*4);
      //$LASTPOS=8000092;//user.Title:92
      Tonyu.globals.$Screen.scrollTo(0,0);
      //$LASTPOS=8000115;//user.Title:115
      _this.x=Tonyu.globals.$screenWidth/2;
      //$LASTPOS=8000133;//user.Title:133
      _this.y=Tonyu.globals.$screenHeight/2-100;
      //$LASTPOS=8000156;//user.Title:156
      _this.scaleX=2;
      //$LASTPOS=8000167;//user.Title:167
      new Tonyu.classes.kernel.Label({x: _this.x,y: 400,size: 30,text: "乗客の怒りが爆発する前に運べ！"});
      //$LASTPOS=8000218;//user.Title:218
      new Tonyu.classes.kernel.Label({x: _this.x,y: 450,size: 24,text: "W,S:左エレベータ操作 ↑↓:右エレベータ操作"});
      
      _thread.enter(function _trc_Title_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=8000278;//user.Title:278
            _this.fiber$updateEx(_thread, 10);
            __pc=1;return;
          case 1:
            
            //$LASTPOS=8000292;//user.Title:292
            new Tonyu.classes.kernel.Label({x: _this.x,y: 500,size: 30,text: "Push Space Key"});
            //$LASTPOS=8000342;//user.Title:342
          case 2:
            //$LASTPOS=8000360;//user.Title:360
            if (_this.getkey("space")==1) {
              //$LASTPOS=8000393;//user.Title:393
              _this.loadPage(Tonyu.classes.user.Building);
              
            }
            //$LASTPOS=8000423;//user.Title:423
            _this.fiber$update(_thread);
            __pc=3;return;
          case 3:
            
            __pc=2;break;
          case 4:
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}}}
});
